curl --request GET \
--url https://api.partoo.co/v2/feedback/feedback_result/fetch-suggestion/{feedback_result_id}/{index} \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/feedback/feedback_result/fetch-suggestion/{feedback_result_id}/{index}"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/feedback/feedback_result/fetch-suggestion/{feedback_result_id}/{index}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"index": 0,
"content": "Thank you for your feedback.",
"feedback_result_id": 123,
"report": {
"id": 3587,
"user_id": "xyz123",
"created_at": "2025-05-12T12:57:21.895170Z"
}
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}Fetch AI reply suggestion for feedback results
The Feedback Management API is currently in BETA, therefore the following endpoints are subject to modification, given a 2 week notice.
If you are planning to use any of them, please notify us so we will be able to keep you informed about upcoming changes.
Fetch a reply suggestion generated by AI for a specific feedback result.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
ID of the feedback result
Index of the reply suggestion (0, 1, or 2)
0 <= x <= 2Response
OK
Unique identifier of the reply suggestion
1
Index of the reply suggestion
0
Content of the reply suggestion
"Thank you for your feedback."
Identifier of the feedback result
123
Report details if the suggestion was reported (can be null)
Show child attributes
Show child attributes
Was this page helpful?